Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit kipi-plugins for openSUSE:Factory
Hello community,

here is the log from the commit of package kipi-plugins for openSUSE:Factory
checked in at 2019-04-20 17:13:41
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kipi-plugins (Old)
and /work/SRC/openSUSE:Factory/.kipi-plugins.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kipi-plugins"

Sat Apr 20 17:13:41 2019 rev:2 rq:696373 version:5.9.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/kipi-plugins/kipi-plugins.changes
2019-02-28 21:41:50.281565210 +0100
+++ /work/SRC/openSUSE:Factory/.kipi-plugins.new.5536/kipi-plugins.changes
2019-04-20 17:13:51.390986141 +0200
@@ -1,0 +2,15 @@
+Fri Apr 19 12:19:21 UTC 2019 - wbauer@xxxxxx
+
+- Update to 5.9.1
+ * https://jriddell.org/2019/04/19/kipi-plugins-5-9-1-released/
+ * First official stand-alone release outside of digikam
+ * No code changes
+- Drop kipi-plugins-lang.tar.xz, the translations are included in
+ the source tarball
+- Remove ImageMagick, enblend-enfuse and hugin Recommends, nothing
+ in kipi-plugins uses them anymore since a long time
+- Change URL to www.kde.org as it is no longer released by the
+ digikam project
+- Make creation of lang package conditional
+
+-------------------------------------------------------------------

Old:
----
kipi-plugins-5.9.0.tar.gz
kipi-plugins-lang.tar.xz

New:
----
kipi-plugins-5.9.1.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kipi-plugins.spec ++++++
--- /var/tmp/diff_new_pack.Ikl6IS/_old 2019-04-20 17:13:52.934988471 +0200
+++ /var/tmp/diff_new_pack.Ikl6IS/_new 2019-04-20 17:13:52.934988471 +0200
@@ -16,15 +16,15 @@
#


+%bcond_without lang
Name: kipi-plugins
-Version: 5.9.0
+Version: 5.9.1
Release: 0
Summary: KDE Plug-Ins for Image Manipulation
License: GPL-2.0-or-later
Group: Productivity/Graphics/Other
-URL: http://www.digikam.org/
-Source0:
https://github.com/KDE/kipi-plugins/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
-Source1: %{name}-lang.tar.xz
+URL: https://www.kde.org/
+Source0:
https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
BuildRequires: extra-cmake-modules
BuildRequires: karchive-devel
BuildRequires: kconfig-devel
@@ -46,10 +46,6 @@
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
Recommends: %{name}-lang
-Recommends: ImageMagick
-Recommends: enblend-enfuse
-Recommends: hugin
-Recommends: kipi-plugins-lang = %{version}
Obsoletes: kipi-plugins-acquireimage < %{version}
Obsoletes: kipi-plugins-geolocation < %{version}
Obsoletes: kipi-plugins5 < %{version}
@@ -68,8 +64,7 @@
%lang_package

%prep
-%setup -q -a1
-echo "add_subdirectory(po)" >> CMakeLists.txt
+%setup -q

# Remove build time references so build-compare can do its work
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e
%%Y')
@@ -93,12 +88,14 @@
# Not needed, the package doesn't actually provide any shared libraries
rm -f %{buildroot}%{_kf5_libdir}/libKF5kipiplugins.so

+%if %{with lang}
%find_lang kipiplugins %{name}.lang

-for i in dropbox googleservices sendimages facebook flashexport flickr
imageshack imgur kmlexport piwigo printimages rajce remotestorage sendimages
smug yandexfotki
+for i in dropbox facebook flashexport flickr googleservices imageshack imgur
jalbum kmlexport mediawiki piwigo printimages rajce remotestorage sendimages
smug yandexfotki
do
%find_lang kipiplugin_$i %{name}.lang
done
+%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
@@ -116,6 +113,8 @@
%{_kf5_sharedir}/kipiplugin_*/
%{_kf5_servicesdir}/kipiplugin_*.desktop

+%if %{with lang}
%files lang -f %{name}.lang
+%endif

%changelog

++++++ kipi-plugins-lang.tar.xz -> kipi-plugins-5.9.1.tar.xz ++++++
++++ 985249 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages